<?php get_header();
wp_reset_query(); ?>

<div class="header-caption">
    <div class="container">
        <div class="row ">
            <div class="col-lg-6 align-self-center ">
                <h4 class="title wow fadeInDown"><?php the_field('header-title', 'options') ?></h4>
                <div class="description wow fadeInUp"><?php the_field('header-description', 'options') ?></div>

            </div>
            <div class="col-lg-6 align-self-center d-none d-lg-block">
                <div class="slide-img wow fadeInLeft"><img data-src="<?php the_field('header-img', 'options') ?>"
                                                           alt="<?php the_field('header-title', 'options') ?>"
                                                           class="img-fluid pull-left  lazy">
                </div>
            </div>
        </div>
    </div>
</div>
<?php if (have_rows('services', 'options')) : ?>
    <section class="services-slider py-4">
        <div class="container">
            <div class="section-title fancy"><span
                        class="text-white font-weight-light"><?php the_field('services-main-title', 'options') ?></span>
            </div>
            <div class="services-carousel owl-carousel ">
                <?php while (have_rows('services', 'options')) : the_row() ?>
                    <div class="single-service">
                        <div class="icon"><a href="<?php the_sub_field('url') ?>"><img
                                        src="<?php the_sub_field('icon') ?>" alt=""
                                        class="img-fluid "></a></div>
                        <h2><a href="<?php the_sub_field('url') ?>"><?php the_sub_field('title') ?></a></h2>

                    </div>
                <?php endwhile; ?>
            </div>

        </div>
    </section>
<?php endif; ?>

<?php if (have_rows('features', 'options')) : ?>
    <section class="why-us common-wrapper">
        <div class="container">
            <div class="section-title fancy">
                <span><?php the_field('features-title', 'options') ?></span>
            </div>
            <div class="section-description"><?php the_field('features-description', 'options') ?></div>

            <div class="row">
                <?php while (have_rows('features', 'options')) : the_row(); ?>
                    <div class="col-md-3">
                        <div class="single-feature">
                            <div class="icon"><img src="<?php the_sub_field('icon'); ?>"
                                                   alt="<?php the_sub_field('title'); ?>" class="img-fluid"></div>
                            <h5><?php the_sub_field('title'); ?></h5>
                        </div>
                        <p class="feature-description"><?php the_sub_field('description'); ?></p>
                    </div>
                <?php endwhile; ?>


            </div>
        </div>
    </section>
<?php endif; ?>

<?php if (have_rows('sponsors', 'options')) : ?>
    <div class="sponsors py-4">
        <div class="container">
            <div class="text-center">
                <div class="section-title"><?php the_field('sponsors-title', 'options') ?></div>

            </div>
            <br>
            <div class="sponsors-carousel owl-carousel">
                <?php while (have_rows('sponsors', 'options')) : the_row(); ?>
                    <div class="single-sponsor">
                        <img src="<?php the_sub_field('logo'); ?>" alt="">
                    </div>
                <?php endwhile; ?>
            </div>

        </div>
    </div>
<?php endif; ?>

<div class="blog common-wrapper ">
    <div class="container">
        <?php $tip = get_field('tips-section', 'options'); ?>
        <?php $tips = new WP_Query(array(
            'post_type' => 'post',
            'posts_per_page' => 20,
            'tax_query' => array(
                array(
                    'taxonomy' => 'category',
                    'field' => 'term_id',
                    'terms' => $tip,
                )
            )
        )); ?>
        <?php if ($tips->have_posts())  : ?>
            <div class="text-center mb-5">
                <div class="section-title fancy"><span><?php echo get_the_category_by_ID($tip) ?></span></div>

            </div>
            <div class="blog-carousel owl-carousel blog-slides">
                <?php while ($tips->have_posts()) : $tips->the_post(); ?>
                    <div class="single-blog-post wow zoomIn  flex-column">
                        <div class="blog-post-img">
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                            <a href="<?php the_permalink(); ?>"><img class="img-fluid lazy"
                                                                     data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                     alt="<?php the_title() ?>"></a>
                        </div>
                        <div class="context">
                            <h4 class="title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h4>
                            <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                            <a href="<?php the_permalink(); ?>" class="read-more">اقرأ المزيد</a>
                        </div>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>

            </div>
        <?php endif; ?>
    </div>
</div>


<div class="blog blog-stretch common-wrapper bg-white ">
    <div class="container">
        <?php $blog = get_field('blog-sections', 'options'); ?>
        <?php $blogs = new WP_Query(array(
            'post_type' => 'post',
            'posts_per_page' => 1,
            'tax_query' => array(
                array(
                    'taxonomy' => 'category',
                    'field' => 'term_id',
                    'terms' => $blog,
                )
            )
        )); ?>
        <?php if ($blogs->have_posts())  : ?>
            <div class="text-center mb-5">
                <div class="section-title fancy"><span><?php echo get_the_category_by_ID($tip) ?></span></div>

            </div>
            <div class="row">
                <div class="col-md-5 right-post">
                    <?php while ($blogs->have_posts()) : $blogs->the_post(); ?>
                        <div class="single-blog-post wow zoomIn  d-md-flex align-self-stretch flex-md-column">
                            <div class="blog-post-img  h-100">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'large'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <a href="<?php the_permalink(); ?>" class="img-bg h-100 d-block"
                                   style="background-image: url('<?php echo $thumb ? $thumb : $imgholder ?>') ;"> </a>
                            </div>
                            <h4 class="title"><a href=""><?php the_title() ?></a></h4>
                            <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                            <a href="<?php the_permalink(); ?>" class="read-more  ">اقرأ المزيد</a>
                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>
                <div class="col-md-7 left-posts">
                    <div class="row">
                        <?php $blog = get_field('blog-sections', 'options'); ?>
                        <?php $blogs = new WP_Query(array(
                            'post_type' => 'post',
                            'posts_per_page' => 4,
                            'offset' => 1,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'category',
                                    'field' => 'term_id',
                                    'terms' => $blog,
                                )
                            )
                        )); ?>
                        <?php while ($blogs->have_posts()) : $blogs->the_post(); ?>

                            <div class="col-md-6">
                                <div class="single-blog-post wow zoomIn  flex-column">
                                    <div class="blog-post-img">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                        <a href="<?php the_permalink(); ?>" class="img-bg h-100 d-block"
                                           style="background-image: url('<?php echo $thumb ? $thumb : $imgholder ?>') ;"> </a>
                                    </div>
                                    <h4 class="title"><a href=""><?php the_title() ?></a></h4>
                                    <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                                    <a href="<?php the_permalink(); ?>" class="read-more  ">اقرأ المزيد</a>
                                </div>
                            </div>
                        <?php endwhile;
                        wp_reset_query(); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>
<?php get_footer(); ?>


