<?php
/* Template Name: Blog */
get_header();
wp_reset_query(); ?>


<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>
<?php
$_terms = get_terms(array('category'));
$i = 0;
foreach ($_terms as $term) :
    $i++;
    $term_slug = $term->slug;
    $_posts = new WP_Query(array(
        'post_type' => 'post',
        'posts_per_page' => 10, //important for a PHP memory limit warning

        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'slug',
                'terms' => $term_slug,
            ),
        ),
    ));

    if ($_posts->have_posts()) : ?>
        <?php if (($i % 2) == 1) : ?>

            <section class="blog common-wrapper">
                <div class="container">

                    <div class="text-center mb-5">
                        <div class="section-title fancy"><span><a href="<?php echo get_term_link($term->term_id); ?>" class="text-black"><?php echo $term->name; ?></a></span></div>

                    </div>
                    <div class="blog-carousel owl-carousel">

                        <?php
                        while ($_posts->have_posts()) : $_posts->the_post();
                            ?>

                            <div class="single-blog-post wow zoomIn ">
                                <div class="blog-post-img">
                                    <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                    <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                    <a href="<?php the_permalink(); ?>"><img class="img-fluid lazy"
                                                                             data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                             alt="<?php the_title() ?>"></a>
                                </div>
                                <div class="context">
                                    <h4 class="title"><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h4>
                                    <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                                    <a href="<?php the_permalink(); ?>" class="read-more">اقرأ المزيد</a>
                                </div>
                            </div>


                        <?php
                        endwhile; ?>

                    </div>


                </div>
            </section>
        <?php else: ?>
            <section class="services-slider py-4  bg-blue">
                <div class="container">

                    <div class="text-center">
                        <div class="section-title fancy"><span class=" font-weight-light"><a href="<?php echo get_term_link($term->term_id); ?>" class="text-white"><?php echo $term->name; ?></a></span></div>

                    </div>
                    <div class="services-carousel owl-carousel ">
                        <?php
                        while ($_posts->have_posts()) : $_posts->the_post();
                            ?>                            <div class="single-service">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <div class="icon"><a href="<?php the_permalink(); ?>"><img
                                                src="<?php echo $thumb ? $thumb : $imgholder ?>" alt="<?php the_title() ?>"
                                                class="img-fluid "></a></div>
                                <h2><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h2>

                            </div>
                        <?php endwhile; ?>
                    </div>


                </div>
            </section>
        <?php endif;endif; endforeach;
?>

<br><br><br><br><br>

<?php get_footer(); ?>
