<?php

class phone_Widget extends WP_Widget
{

    public function __construct()
    {
        parent::__construct(
            'phone',
            'رقم الهاتف',
            array(
                'description' => __('رقم الهاتف المطلوب الاتصال به')
            )
        );
    }

    public function form($instance)
    {


        $instance = wp_parse_args((array)$instance);

        ?>
        <!-- The Title -->
        <p>
            <label for="<?php echo $this->get_field_id('title') ?>"><?php _e('العنوان:'); ?></label>
            <input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>"
                   value="<?php echo esc_attr($instance['title']); ?>"/>
        </p>

        <?php

    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;

        // The Title
        $instance['title'] = strip_tags($new_instance['title']);

        return $instance;
    }

    public function widget($args, $instance)
    {
        extract($args);

        // Get the title and prepare it for display
        $title = apply_filters('widget_title', $instance['title']);

        ?>
        <?php $phoneNumber = get_field('phone'); ?>
        <?php if ($phoneNumber) : ?>
        <div class="rest-of-news">
            <div class="section-title fancy">
                <span class="small"><?php if ($title) {
                        echo $title;
                    } ?></span>
            </div>


            <div class="phone">

                <a href="tel:<?php echo $phoneNumber ?>" class="phone-btn"><i
                            class="fa fa-phone-square"></i> <?php echo $phoneNumber ?></a>
            </div>

        </div>
    <?php endif; ?>
        <?php
    }
}

register_widget('phone_Widget');

?>