<?php get_header();
wp_reset_query(); ?>

<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>
<div class="container">


    <div class="row">
        <div class="col-md-9">

            <div class="news-sections cat-sec">
                <div class="box-section ">
                    <div class="the_title">
                        <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
                    </div>
                    <?php $vidURL = get_field('youtube-url') ?>
                    <?php if (!$vidURL) : ?>
                        <div class="news-boxed-img d-none d-md-block">
                            <div id="post-meta">
                                <div id="meta-content">
                                    <h2><strong><?php the_title(); ?></strong></h2>
                                    <span><i class="fa fa-calendar"></i> <?php echo get_the_date($post->id); ?></span>
                                    <span><i class="fa fa-clock-o"></i>
                    <?php echo get_the_time($post->id); ?></span>

                                    <?php if (is_user_logged_in() && is_super_admin()) : ?>
                                        <span><a
                                                    href="<?php echo get_edit_post_link(); ?>"><b><?php _e('تحرير', 'alpha'); ?></b></a></span>
                                    <?php endif; ?>
                                </div>
                            </div>

                            <?php
                            $thumb = get_the_post_thumbnail_url($post->id, 'medium_large');
                            if ($thumb): ?>
                                <img data-src="<?php echo $thumb; ?>" alt="<?php the_title() ?>"
                                     class="img-fluid lazy ">
                            <?php else   : ?>

                                <img data-src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title() ?>"
                                     class="img-fluid lazy ">
                            <?php endif; ?>

                        </div>
                    <?php endif; ?>

                    <div id="page-content" class="p-0 border-0">
                        <?php
                        if ($vidURL) :
                            $string = $vidURL;
                            $search = '#(.*?)(?:href="https?://)?(?:www\.)?(?:youtu\.be/|youtube\.com(?:/embed/|/v/|/watch?.*?v=))([\w\-]{10,12}).*#x';
                            $replace = 'http://www.youtube.com/embed/$2';
                            $url = preg_replace($search, $replace, $string);; ?>
                            <iframe width="100%" height="400" data-src="<?php echo $url; ?>" frameborder="0"
                                    allowfullscreen class="lazy"></iframe>
                        <?php endif; ?>

                        <div class="the_cats">
                            <?php the_category(); ?>
                        </div>

                        <?php the_content(); ?>

                        <?php

                        $images = get_field('gallery');

                        if ($images): ?>
                            <h3 class="gallery-title"><?php _e('البوم الصور الخاص بهذا المقال :', 'alpha'); ?></h3>
                            <ul class="list-inline d-flex justify-content-md-center" id="list-imgs">
                                <?php foreach ($images as $image): ?>
                                    <li class="list-inline-item">
                                        <a href="<?php echo $image['url']; ?>" class="gallery-item">
                                            <img data-src="<?php echo $image['sizes']['thumbnail']; ?>"
                                                 class="img-fluid lazy"
                                                 alt="<?php echo $image['alt']; ?>"/>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                        <br>
                        <div class="tags">
                            <p><?php the_tags(); ?></p>
                        </div>
                        <br>


                    </div>

                </div>
            </div>


        </div>
        <div class="col-md-3">
            <div class="sidebar-cat">
                <section class="news-sections">
                    <div class="box-section">
                        <?php get_sidebar('sidebar'); ?>

                    </div>


                </section>


            </div>
        </div>
    </div>

</div>

<?php if (have_rows('services', 'options')) : ?>
    <section class="services-slider py-4">
        <div class="container">
            <div class="section-title fancy"><span
                        class="text-white font-weight-light"><?php the_field('services-main-title', 'options') ?></span>
            </div>
            <div class="services-carousel owl-carousel ">
                <?php while (have_rows('services', 'options')) : the_row() ?>
                    <div class="single-service">
                        <div class="icon"><a href="<?php the_sub_field('url') ?>"><img
                                        src="<?php the_sub_field('icon') ?>" alt=""
                                        class="img-fluid "></a></div>
                        <h2><a href="<?php the_sub_field('url') ?>"><?php the_sub_field('title') ?></a></h2>

                    </div>
                <?php endwhile; ?>
            </div>

        </div>
    </section>
<?php endif; ?>

<?php $blogs = new WP_Query(array(
    'post_type' => get_post_type(get_the_ID()),
    'posts_per_page' => 1,
    'post__not_in' => array($post->ID)

)); ?>
<?php if ($blogs->have_posts())  : ?>
<div class="  blog-stretch common-wrapper ">
    <div class="container">

            <div class="text-center mb-5">
                <div class="section-title fancy"><span>المدونة</span></div>

            </div>
            <div class="row">
                <div class="col-md-5 right-post">
                    <?php while ($blogs->have_posts()) : $blogs->the_post(); ?>
                        <div class="single-blog-post wow zoomIn  d-md-flex align-self-stretch flex-md-column">
                            <div class="blog-post-img  h-100">
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'large'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <a href="<?php the_permalink(); ?>" class="img-bg h-100 d-block"
                                   style="background-image: url('<?php echo $thumb ? $thumb : $imgholder ?>') ;"> </a>
                            </div>
                            <h4 class="title"><a href=""><?php the_title() ?></a></h4>
                            <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                            <a href="<?php the_permalink(); ?>" class="read-more  ">اقرأ المزيد</a>
                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>
                <div class="col-md-7 left-posts">
                    <div class="row">
                         <?php $blogs = new WP_Query(array(
                            'post_type' => get_post_type(get_the_ID()),
                            'posts_per_page' => 4,
                            'post__not_in' => array($post->ID),
                            'offset' => 1

                        )); ?>
                        <?php while ($blogs->have_posts()) : $blogs->the_post(); ?>

                            <div class="col-md-6">
                                <div class="single-blog-post wow zoomIn  flex-column">
                                    <div class="blog-post-img">
                                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                        <a href="<?php the_permalink(); ?>" class="img-bg h-100 d-block"
                                           style="background-image: url('<?php echo $thumb ? $thumb : $imgholder ?>') ;"> </a>
                                    </div>
                                    <h4 class="title"><a href=""><?php the_title() ?></a></h4>
                                    <p><?php echo wp_trim_words(get_the_excerpt(), 20) ?></p>
                                    <a href="<?php the_permalink(); ?>" class="read-more  ">اقرأ المزيد</a>
                                </div>
                            </div>
                        <?php endwhile;
                        wp_reset_query(); ?>

                    </div>
                </div>
            </div>

    </div>
</div>
<?php endif; ?>
<br><br><br><br><br>


<?php get_footer(); ?>


